Bug 814297 - Camel gateway doesn't work when spaces are in gateway URL
Camel gateway doesn't work when spaces are in gateway URL
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: 3rd Party (Show other bugs)
5.3.0 GA
Unspecified Unspecified
medium Severity high
: ER3
: 5.3.0 GA
Assigned To: Default User
Matej Melko
:
Depends On: 814214
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 10:32 EDT by Robert Balent
Modified: 2018-03-29 17:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: 5.3.0 GA
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
camel_sql_spaces_deploy.log (8.35 KB, patch)
2012-04-19 10:32 EDT, Robert Balent
no flags Details | Diff
Bug reproducer (14.81 KB, application/zip)
2012-04-19 10:33 EDT, Robert Balent
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3795 None Closed Camel gateway doesn't work when spaces are in gateway URL 2012-06-12 20:03:45 EDT

  None (edit)
Description Robert Balent 2012-04-19 10:32:16 EDT
Created attachment 578662 [details]
camel_sql_spaces_deploy.log

In some Camel components there is need to have spaces in gateway URL. For example when used Camel SQL component[1] in ESB application, it should look like this:

"esbschedule:5000:sql:select unique_id,data_column from camel_sql_entry_data?dataSourceRef=java:/DefaultDS"

When you try to deploy application with exception is thrown:

Caused by: java.net.URISyntaxException: Illegal character in opaque part at index 10: sql:select unique_id,data_column from camel_sql_entry_data?dataSourceRef=java:/DefaultDS

This bug depends on previous bug I've reported about SQL gateway so It has to be resolved first.

Deployment log and reproducer is attached.
1. Start server
2. Unzip reproducer to quickstarts directory
3. Configure quickstarts.properties to target your server profile
4. from camel_sql_spaces directory run: ant deploy
Comment 1 Robert Balent 2012-04-19 10:33:03 EDT
Created attachment 578664 [details]
Bug reproducer
Comment 2 JBoss JIRA Server 2012-05-08 12:46:22 EDT
Tom Cunningham <tcunning@redhat.com> made a comment on jira JBESB-3795

URI-encode the URI, but make sure we decode spaces before sending the URI to Camel as a route.
Comment 3 JBoss JIRA Server 2012-05-08 12:46:31 EDT
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3795 to Resolved
Comment 4 JBoss JIRA Server 2012-05-08 12:46:36 EDT
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3795 to Closed
Comment 5 tcunning 2012-05-08 12:47:25 EDT
Committed in revision 38075.

Should be in ER3.
Comment 6 Robert Balent 2012-05-31 05:36:17 EDT
Good work. Verified in SOA-P 5.3 ER3.

Thanks.
Comment 7 David Le Sage 2012-06-12 20:03:38 EDT
Setting technical note to negative. I assume as impacted version is 5.3 and fix is 5.3 that the public never saw this.

Note You need to log in before you can comment on or make changes to this bug.